package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 审查标准
 */
@ApiModel
@TableName(value ="t_review_standard")
@Data
public class ReviewStandard {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 章节
     */
    @ApiModelProperty("章节")
    private String chapter;


    /**
     * 文本内容
     */
    @ApiModelProperty("文本内容")
    private String text;

    /**
     * 要点列表
     */
    @ApiModelProperty("要点列表")
    @TableField(exist = false)
    private List<ReviewKeyPoint> keyPointList;

    /**
     * 关联标准表id
     */
    private Long standardId;

    /**
     * 标准名称
     */
    private String name;

    /**
     * 标准号
     */
    private String standardNo;

    /**
     * 文件路径
     */
    private String file;

}
